Commit 172011266998fb86e8c844c279e246f54b6981e1

Stefan Sperling 2019-07-14T15:06:20

show xfail test result before running 'git fsck'

1
2
3
4
5
6
7
8
9
10
11
12
13
14
diff --git a/regress/cmdline/common.sh b/regress/cmdline/common.sh
index 6ff541c..793da6f 100644
--- a/regress/cmdline/common.sh
+++ b/regress/cmdline/common.sh
@@ -142,8 +142,8 @@ function test_done
 		echo "ok"
 	elif echo "$result" | grep -q "^xfail"; then
 		# expected test failure; test reproduces an unfixed bug
-		test_cleanup "$testroot" || return 1
 		echo "$result"
+		test_cleanup "$testroot" || return 1
 	else
 		echo "test failed; leaving test data in $testroot"
 	fi